- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CglImplication Class Reference

This just uses implication info. More...

`#include <CglProbing.hpp>`

Inheritance diagram for CglImplication:

[legend]
Collaboration diagram for CglImplication:

[legend]
List of all members.

## Public Member Functions
Generate Cuts
virtual void | generateCuts (const OsiSolverInterface &si, OsiCuts &cs, const CglTreeInfo info=CglTreeInfo()) const
| Generate cuts from implication table Insert generated cuts into the cut set cs.
Constructors and destructors
| CglImplication ()
| Default constructor.
| CglImplication (CglTreeProbingInfo *info)
| Constructor with info.
| CglImplication (const CglImplication &)
| Copy constructor.
virtual CglCutGenerator * | clone () const
| Clone.
CglImplication & | operator= (const CglImplication &rhs)
| Assignment operator.
virtual | ~CglImplication ()
| Destructor.
virtual std::string | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
Set implication
void | setProbingInfo (CglTreeProbingInfo *info)
| Set implication.
## Private Attributes
Private member data
CglTreeProbingInfo * | probingInfo_
| Pointer to tree probing info.

## Detailed Description

This just uses implication info.

Definition at line 468 of file CglProbing.hpp.

## Constructor & Destructor Documentation

CglImplication::CglImplication | ( |  | ) |

Default constructor.

CglImplication::CglImplication | ( | CglTreeProbingInfo * | info | ) |

Constructor with info.

CglImplication::CglImplication | ( | const CglImplication & |  | ) |

Copy constructor.

virtual CglImplication::~CglImplication | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void CglImplication::generateCuts | ( | const OsiSolverInterface & | si,
|  | OsiCuts & | cs,
|  | const CglTreeInfo | info = `CglTreeInfo()` |
| ) |  |  | const`[virtual]`

Generate cuts from implication table Insert generated cuts into the cut set cs.

Implements CglCutGenerator.

virtual CglCutGenerator* CglImplication::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CglCutGenerator.

CglImplication& CglImplication::operator= | ( | const CglImplication & | rhs | ) |

Assignment operator.

virtual std::string CglImplication::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CglCutGenerator.

void CglImplication::setProbingInfo | ( | CglTreeProbingInfo * | info | ) | `[inline]`

Set implication.

Definition at line 510 of file CglProbing.hpp.

References probingInfo_.

## Member Data Documentation

CglTreeProbingInfo* CglImplication::probingInfo_`[private]`

Pointer to tree probing info.

Definition at line 518 of file CglProbing.hpp.

Referenced by setProbingInfo().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.92.0/Cgl/src/CglProbing/CglProbing.hpp